OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations
dock_widget.h File Reference

Types related to the dock widgets. More...

Go to the source code of this file.

## Enumerations
enum | BuildDockDepotWidgets { WID_BDD_BACKGROUND, WID_BDD_X, WID_BDD_Y }
| Widgets of the BuildDocksDepotWindow class. More...
enum | DockToolbarWidgets { WID_DT_CANAL, WID_DT_LOCK, WID_DT_DEMOLISH, WID_DT_DEPOT, WID_DT_STATION, WID_DT_BUOY, WID_DT_RIVER, WID_DT_BUILD_AQUEDUCT, WID_DT_INVALID }
| Widgets of the BuildDocksToolbarWindow class. More...

## Detailed Description

Types related to the dock widgets.

Definition in file dock_widget.h.

## Enumeration Type Documentation

enum BuildDockDepotWidgets

Widgets of the BuildDocksDepotWindow class.

Enumerator:

  WID_BDD_BACKGROUND | Background of the window.
  WID_BDD_X | X-direction button.
  WID_BDD_Y | Y-direction button.

Definition at line 16 of file dock_widget.h.

enum DockToolbarWidgets

Widgets of the BuildDocksToolbarWindow class.

Enumerator:

  WID_DT_CANAL | Build canal button.
  WID_DT_LOCK | Build lock button.
  WID_DT_DEMOLISH | Demolish aka dynamite button.
  WID_DT_DEPOT | Build depot button.
  WID_DT_STATION | Build station button.
  WID_DT_BUOY | Build buoy button.
  WID_DT_RIVER | Build river button (in scenario editor).
  WID_DT_BUILD_AQUEDUCT | Build aqueduct button.
  WID_DT_INVALID | Used to initialize a variable.

Definition at line 23 of file dock_widget.h.